Index: extensions/LLGBO2/admin/llgbo_admin.php
===================================================================
--- extensions/LLGBO2/admin/llgbo_admin.php	(revision 4523)
+++ extensions/LLGBO2/admin/llgbo_admin.php	(revision 4524)
@@ -28,4 +28,44 @@
 // ***************************************
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+include_once(PHPWG_ROOT_PATH.'admin/include/tabsheet.class.php');
+$my_base_url = get_admin_plugin_menu_link(__FILE__);
+// Setup plugin Language
+load_language('plugin.lang', LLGBO_PATH);
+// +-----------------------------------------------------------------------+
+// |                            Tabssheet
+// +-----------------------------------------------------------------------+
+if (!isset($_GET['tab']))
+   { $page['tab'] = 'manage';}
+   else 
+ {$page['tab'] = $_GET['tab'];}
+
+$tabsheet = new tabsheet();
+$tabsheet->add('manage',
+               l10n('llgbo_M_manage'),
+              $my_base_url.'&amp;tab=manage');
+$tabsheet->add('tooltip',
+               l10n('llgbo_M_tooltip'),
+               $my_base_url.'&amp;tab=tooltip');
+If ($page['tab'] == 'manage')			   
+	{if (!isset($_POST['llgbo_frame'])   ) 
+		{$conf['LLGBO_SETTINGS'][0] = 'false';} 	
+		else
+		{$conf['LLGBO_SETTINGS'][0]= $_POST['llgbo_frame'];}}
+		   
+if ($conf['LLGBO_SETTINGS'][0] == 'true')
+{$tabsheet->add('frame',
+               l10n('llgbo_M_frame'),
+               $my_base_url.'&amp;tab=frame');}
+
+
+
+$tabsheet->assign();
+if ($page['tab'] == 'manage')
+{$template->set_filenames( array('llgbo_admin_content' => dirname(__FILE__).'/llgbo_adminsettings.tpl') );}
+if ($page['tab'] == 'tooltip')
+{$template->set_filenames( array('llgbo_admin_content' => dirname(__FILE__).'/llgbo_admintooltip.tpl') );}
+if ($page['tab'] == 'frame' )
+{$template->set_filenames( array('llgbo_admin_content' => dirname(__FILE__).'/llgbo_adminframe.tpl') );}
+$tabsheet->select($page['tab']);
 /* ****************************************************** */
 /* Plugin template initialisation for admin panel display */
@@ -36,103 +76,188 @@
 $template->clear_assign('LLGBOINFO');
 // Load configuration settings from database
-$conf_LLGBO = explode("," , $conf['LLGBO']);
-
-// Setup plugin Language
-load_language('plugin.lang', LLGBO_PATH);
+
+
+$template->append('head_elements',
+		   '<script type="text/javascript" src="./plugins/look_like_gbo2/farbtastic/farbtastic.js"></script>
+<link rel="stylesheet" type="text/css"
+      href="./plugins/look_like_gbo2/farbtastic/farbtastic.css" />
+<link rel="stylesheet" type="text/css"
+      href="./plugins/look_like_gbo2/css/look_like_gbo2_admin.css" /> 
+<! --- LLGBO tooltip css-->
+<style type="text/css"> 
+#toolTip {background:'.$conf['LLGBO_TOOLTIP'][3].';color:'.$conf['LLGBO_TOOLTIP'][5].';border:'.$conf['LLGBO_TOOLTIP'][1].'px solid '.$conf['LLGBO_TOOLTIP'][2].';padding:5px;min-height:1em;-moz-border-radius:5px} 
+#toolTip p {margin:0;padding:0;color:'.$conf['LLGBO_TOOLTIP'][5].';font-size:0.8em;font-family:Verdana,Arial,Helvetica,sans-serif;text-align:left}
+#toolTip title {color:'.$conf['LLGBO_TOOLTIP'][4].';text-align:center;padding:0 0 3px 0;font-weight:bold}
+</style>');
+
  
 // Update configuration settings in database
-if ( isset($_POST['submit']) )
-{  
-if (!isset($_POST['llgbo_frame'])) {$_POST['llgbo_frame'] = 'false';} 
-if (!isset($_POST['llgbo_tooltip'])) {$_POST['llgbo_tooltip'] = 'false';}  
-if (!isset($_POST['llgbo_exifunderbt'])) {$_POST['llgbo_exifunderbt'] = 'false';}  
-if (!isset($_POST['llgbo_usemap'])) {$_POST['llgbo_usemap'] = 'false';}
-if (!isset($_POST['llgbo_usemap_thumb'])) {$_POST['llgbo_usemap_thumb'] = 'false';}
-if (!isset($_POST['llgbo_title_frame'])) {$_POST['llgbo_title_frame'] = 'false';}    
-if (!isset($_POST['llgbo_header'])) {$_POST['llgbo_header'] = 'false';} 
-if (!isset($_POST['llgbo_maintain_header'])) {$_POST['llgbo_maintain_header'] = '';}
-if (!isset($_POST['llgbo_allinfo'])) {$_POST['llgbo_allinfo'] = 'false';}
-if (!isset($_POST['llgbo_default_navthumb'])) {$_POST['llgbo_default_navthumb'] = 'false';}
-if (!isset($_POST['llgbo_always_displayexif'])) {$_POST['llgbo_always_displayexif'] = 'true';}  
- $param_llgbo = array($_POST['llgbo_frame'],
-            $_POST['llgbo_tooltip'],
-            $_POST['llgbo_exifunderbt'],
-            $_POST['llgbo_usemap'],
-			$_POST['llgbo_usemap_thumb'],
-            $_POST['llgbo_title_frame'],
-			$_POST['llgbo_header'],
-			$_POST['llgbo_maintain_header'],
-			$_POST['llgbo_allinfo'],
-			$_POST['llgbo_default_navthumb'],
-			$_POST['llgbo_always_displayexif'],
-		);		 
-        $llgbo_new_value = implode ("," , $param_llgbo);
-        $query = '
-UPDATE ' . CONFIG_TABLE . '
-  SET value="' . $llgbo_new_value . '"
-  WHERE param="LLGBO"
-  LIMIT 1';
-        pwg_query($query);
-
- $template->assign('LLGBOINFO','llgbo_info');
-
-// Reload settings for correct display after update
-$conf['LLGBO']= $llgbo_new_value;
-}
-
-$conf_LLGBO = explode("," , $conf['LLGBO']);
-// template setting
-if ($conf_LLGBO[0] == 'true')
-{$template->assign( 'LLGBO_FRAME' , 'true');}
- else
-{$template->assign( 'LLGBO_FRAME' , 'false');}
-if ($conf_LLGBO[1] == 'true')
-{$template->assign( 'LLGBO_TOOLTIP' , 'true');}
- else
- {$template->assign( 'LLGBO_TOOLTIP' , "false");}
- 
-if ($conf_LLGBO[2]  == 'true')
-{$template->assign('LLGBO_EXIFUNDERBT' , 'true');}
- else
- {$template->assign( 'LLGBO_EXIFUNDERBT' , "false");}
- 
-if ($conf_LLGBO[3]  == 'true')
- {$template->assign( array( 'LLGBO_USEMAP' => 'true'));}
- else
- { $template->assign( array( 'LLGBO_USEMAP' => "false"));}
- 
- if ($conf_LLGBO[4]  == 'true')
- {$template->assign( array( 'LLGBO_USEMAP_THUMB' => 'true'));}
- else
- { $template->assign( array( 'LLGBO_USEMAP_THUMB' => "false"));}
- 
- if ($conf_LLGBO[5]  == 'true')
-{ $template->assign( array( 'LLGBO_TITLE_FRAME' => 'true'));}
- else
-{  $template->assign( array( 'LLGBO_TITLE_FRAME' => "false"));}
-
-if ($conf_LLGBO[6] == 'true')
-{ $template->assign( array( 'LLGBO_HEADER' => 'true'));}
- else
- { $template->assign( array( 'LLGBO_HEADER' => "false"));}
- 
- $template->assign(array( 'LLGBO_MAINTAIN_HEADER' => $conf_LLGBO[7]));
- 
- if ($conf_LLGBO[8]  == 'true')
-{ $template->assign(array( 'LLGBO_ALLINFO' => 'true'));}
- else
-{  $template->assign( array( 'LLGBO_ALLINFO' => "false"));} 
-
-if ($conf_LLGBO[9] == 'true')
-{ $template->assign(array( 'LLGBO_DEFAULT_NAVTHUMB' => 'true'));}
- else
- { $template->assign(array( 'LLGBO_DEFAULT_NAVTHUMB' => "false"));}
- 
-if ($conf_LLGBO[10] == 'true')
-{ $template->assign(array( 'LLGBO_ALWAYS_DISPLAYEXIF' => 'true'));}
- else
- { $template->assign(array( 'LLGBO_ALWAYS_DISPLAYEXIF' => "false"));} 
- 
-$template->set_filenames( array('llgbo_admin_content' => dirname(__FILE__).'/llgbo_admin.tpl') );
+	////// SETTINGS	
+if (($page['tab'] == 'manage') or   ( !isset($_GET['tab']))){
+	if ( isset($_POST['submit']) )  
+	{  
+	if (!isset($_POST['llgbo_frame'])) {$_POST['llgbo_frame'] = 'false';} 
+	if (!isset($_POST['llgbo_tooltip'])) {$_POST['llgbo_tooltip'] = 'false';}  
+	if (!isset($_POST['llgbo_exifunderbt'])) {$_POST['llgbo_exifunderbt'] = 'false';}  
+	if (!isset($_POST['llgbo_usemap'])) {$_POST['llgbo_usemap'] = 'false';}
+	if (!isset($_POST['llgbo_usemap_thumb'])) {$_POST['llgbo_usemap_thumb'] = 'false';}
+	if (!isset($_POST['llgbo_title_frame'])) {$_POST['llgbo_title_frame'] = 'false';}    
+	if (!isset($_POST['llgbo_header'])) {$_POST['llgbo_header'] = 'false';} 
+	if (!isset($_POST['llgbo_maintain_header'])) {$_POST['llgbo_maintain_header'] = '';}
+	if (!isset($_POST['llgbo_allinfo'])) {$_POST['llgbo_allinfo'] = 'false';}
+	if (!isset($_POST['llgbo_default_navthumb'])) {$_POST['llgbo_default_navthumb'] = 'false';} //9	}
+	 $param_llgbo = array($_POST['llgbo_frame'],
+				$_POST['llgbo_tooltip'],             $_POST['llgbo_exifunderbt'],
+				$_POST['llgbo_usemap'],			$_POST['llgbo_usemap_thumb'],
+				$_POST['llgbo_title_frame'],			$_POST['llgbo_header'],
+				$_POST['llgbo_maintain_header'],			$_POST['llgbo_allinfo'],
+				$_POST['llgbo_default_navthumb']	
+			);		 
+	$llgbo_new_value = implode ("," , $param_llgbo);
+	$query = '
+	UPDATE ' . CONFIG_TABLE . '
+	  SET value="'.$llgbo_new_value. '"
+	  WHERE param="LLGBO"
+	  LIMIT 1';
+			pwg_query($query);
+			 $template->assign('LLGBOINFO','llgbo_info');
+			 $conf['LLGBO_SETTINGS'] = explode ("," ,$llgbo_new_value);
+	}
+
+ // Reload settings for correct display after update
+	if ($conf['LLGBO_SETTINGS'][0] == 'true')
+	  {$template->assign( 'LLGBO_FRAME' , 'true');} else {$template->assign( 'LLGBO_FRAME' , 'false');}
+	if ($conf['LLGBO_SETTINGS'][1] == 'true') 
+	  {$template->assign( 'LLGBO_TOOLTIP_DISP' , 'true');}  else  {$template->assign( 'LLGBO_TOOLTIP_DISP' , "false");}
+	if ($conf['LLGBO_SETTINGS'][2]  == 'true')
+	  {$template->assign('LLGBO_EXIFUNDERBT' , 'true');}  else  {$template->assign( 'LLGBO_EXIFUNDERBT' , "false");}
+	if ($conf['LLGBO_SETTINGS'][3]  == 'true')
+	  {$template->assign( array( 'LLGBO_USEMAP' => 'true'));}  else  { $template->assign( array( 'LLGBO_USEMAP' => "false"));}
+	if ($conf['LLGBO_SETTINGS'][4]  == 'true')
+	  {$template->assign( array( 'LLGBO_USEMAP_THUMB' => 'true'));}  else  { $template->assign( array( 'LLGBO_USEMAP_THUMB' => "false"));}
+	if ($conf['LLGBO_SETTINGS'][5]  == 'true')
+	  {$template->assign( array( 'LLGBO_TITLE_FRAME' => 'true'));}  else {  $template->assign( array( 'LLGBO_TITLE_FRAME' => "false"));}
+	if ($conf['LLGBO_SETTINGS'][6] == 'true')
+	  {$template->assign( array( 'LLGBO_HEADER' => 'true'));}  else  { $template->assign( array( 'LLGBO_HEADER' => "false"));}
+	$template->assign(array( 'LLGBO_MAINTAIN_HEADER' => $conf['LLGBO_SETTINGS'][7]));
+	if ($conf['LLGBO_SETTINGS'][8]  == 'true')
+	  {$template->assign(array( 'LLGBO_ALLINFO' => 'true'));}  else {  $template->assign( array( 'LLGBO_ALLINFO' => "false"));} 
+	if ($conf['LLGBO_SETTINGS'][9] == 'true')
+	  {$template->assign(array( 'LLGBO_DEFAULT_NAVTHUMB' => 'true'));}  else  { $template->assign(array( 'LLGBO_DEFAULT_NAVTHUMB' => "false"));}
+}
+///////////////////////////////////////////////////////////////////////////////////////
+//// TOOLTIP		
+///////////////////////////////////////////////////////////////////////////////////////
+if ($page['tab'] == 'tooltip') {
+	if ( isset($_POST['save'])  or isset($_POST['preview']))  
+	{  
+        if (!isset($_POST['llgbo_tooltip_width'])) {$_POST['llgbo_tooltip_width'] = '150';}  
+		if (!isset($_POST['llgbo_tooltip_size'])) {$_POST['llgbo_tooltip_size'] = '2';}   
+		if (!isset($_POST['llgbo_tooltip_bordercolor'])) {$_POST['llgbo_tooltip_bordercolor'] = '#fff';}   
+		if (!isset($_POST['llgbo_tooltip_backgroundcolor'])) {$_POST['llgbo_tooltip_backgroundcolor'] = '#000';}  
+		if (!isset($_POST['llgbo_tooltip_titlecolor'])) {$_POST['llgbo_tooltip_titlecolor'] = '#c92';}  
+		if (!isset($_POST['llgbo_tooltip_color'])) {$_POST['llgbo_tooltip_color'] = '#dadada';}   
+		  
+		 $param_llgbo_tooltip = array(
+					$_POST['llgbo_tooltip_width'],			$_POST['llgbo_tooltip_size'] ,	
+					$_POST['llgbo_tooltip_bordercolor'], 	$_POST['llgbo_tooltip_backgroundcolor'],
+					$_POST['llgbo_tooltip_titlecolor'],		$_POST['llgbo_tooltip_color']);		 
+		$llgbo_newtooltip_value = implode ("," , $param_llgbo_tooltip);
+		
+		if ( isset($_POST['save']) )
+				 {   $query = '
+				UPDATE ' . CONFIG_TABLE . '
+				  SET value="'.$llgbo_newtooltip_value.'"
+				  WHERE param="LLGBOTOOLTIP"
+				  LIMIT 1';
+						pwg_query($query);
+				 $template->assign('LLGBOINFO','llgbo_info');
+				 }
+		$conf['LLGBO_TOOLTIP'] = explode ("," ,$llgbo_newtooltip_value);
+	}
+ // Reload settings for correct display after update
+ if (isset($conf['LLGBO_TOOLTIP'][0])) {$template->assign(array( 'LLGBO_TOOLTIP_WIDTH' => $conf['LLGBO_TOOLTIP'][0]));}
+ if (isset($conf['LLGBO_TOOLTIP'][1])) {$template->assign(array( 'LLGBO_TOOLTIP_SIZE' => $conf['LLGBO_TOOLTIP'][1]));}
+ if (isset($conf['LLGBO_TOOLTIP'][2])) {$template->assign(array( 'LLGBO_TOOLTIP_BORDERCOLOR' => $conf['LLGBO_TOOLTIP' ][2]));}
+ if (isset($conf['LLGBO_TOOLTIP'][3])) {$template->assign(array( 'LLGBO_TOOLTIP_BACKGROUNDCOLOR' => $conf['LLGBO_TOOLTIP'][3]));}
+ if (isset($conf['LLGBO_TOOLTIP'][4])) {$template->assign(array( 'LLGBO_TOOLTIP_TITLECOLOR' => $conf['LLGBO_TOOLTIP'][4]));}
+ if (isset($conf['LLGBO_TOOLTIP'][5])) {$template->assign(array( 'LLGBO_TOOLTIP_COLOR' => $conf['LLGBO_TOOLTIP'][5]));}
+}
+
+///////////////////////////////////////////////
+/////              FRAME
+/////////////////////////////////////////////////
+if ($page['tab'] == 'frame') {
+	if ( isset($_POST['save'])  or isset($_POST['preview']))  
+	{  
+	if (!isset($_POST['llgbo_title_frame_color'])) {$_POST['llgbo_title_frame_color'] = '#16195f';}  
+	 for ($i = 0   ;$i < 16  ; $i++)
+		{ 	if (!isset($_POST['llgbo_frame_bdcolor'.$i])) {$_POST['llgbo_frame_bdcolor'.$i] = '#fff' ;}    
+			if (!isset($_POST['llgbo_frame_bdsize'.$i])) {$_POST['llgbo_frame_bdsize'.$i] = '1' ;} 
+		}
+	  
+	 $param_llgbo_frame = array(		
+				$_POST['llgbo_title_frame_color'],
+				$_POST['llgbo_frame_bdcolor0'],			$_POST['llgbo_frame_bdsize0'], 
+				$_POST['llgbo_frame_bdcolor1'], 		$_POST['llgbo_frame_bdsize1'],	
+				$_POST['llgbo_frame_bdcolor2'],			$_POST['llgbo_frame_bdsize2'],
+				$_POST['llgbo_frame_bdcolor3'],			$_POST['llgbo_frame_bdsize3'],
+				$_POST['llgbo_frame_bdcolor4'],			$_POST['llgbo_frame_bdsize4'],
+				$_POST['llgbo_frame_bdcolor5'],			$_POST['llgbo_frame_bdsize5'],
+				$_POST['llgbo_frame_bdcolor6'],			$_POST['llgbo_frame_bdsize6'],
+				$_POST['llgbo_frame_bdcolor7'],			$_POST['llgbo_frame_bdsize7'],
+				$_POST['llgbo_frame_bdcolor8'],			$_POST['llgbo_frame_bdsize8'],
+				$_POST['llgbo_frame_bdcolor9'],			$_POST['llgbo_frame_bdsize9'],
+				$_POST['llgbo_frame_bdcolor10'],		$_POST['llgbo_frame_bdsize10'],
+				$_POST['llgbo_frame_bdcolor11'],		$_POST['llgbo_frame_bdsize11'],
+				$_POST['llgbo_frame_bdcolor12'],		$_POST['llgbo_frame_bdsize12'],
+				$_POST['llgbo_frame_bdcolor13'],		$_POST['llgbo_frame_bdsize13'],
+				$_POST['llgbo_frame_bdcolor14'],		$_POST['llgbo_frame_bdsize14'],
+				$_POST['llgbo_frame_bdcolor15'],		$_POST['llgbo_frame_bdsize15']
+			);		 
+			$llgbo_newframe_value = implode ("," , $param_llgbo_frame);
+	
+		if ( isset($_POST['save']) )
+			 { 
+			 $query = '
+			UPDATE ' . CONFIG_TABLE . '
+			  SET value="'.$llgbo_newframe_value.'"
+			  WHERE param="LLGBOFRAME"
+			  LIMIT 1';
+				pwg_query($query);
+		$template->assign('LLGBOINFO','llgbo_info'); 
+		}
+		$conf['LLGBO_FRAME'] = explode ("," ,$llgbo_newframe_value );
+	
+}
+ // FRAME
+	   if (isset($conf['LLGBO_FRAME'][0])) {$template->assign(array( 'LLGBO_TITLE_FRAME_COLOR' => $conf['LLGBO_FRAME'][0]));}
+	 for ($i = 0   ;$i < 16  ; $i++)
+		{ $x = 1 + ( 2 * $i);
+			if (isset($conf['LLGBO_FRAME'][$x])) {$template->assign(array( 'LLGBO_FRAME_BDCOLOR'.$i => $conf['LLGBO_FRAME'][$x]));}
+			if (isset($conf['LLGBO_FRAME'][$x+1])) {$template->assign(array( 'LLGBO_FRAME_BDSIZE'.$i => $conf['LLGBO_FRAME'][$x+1]));}
+		}
+///  re draw frame after update 
+  Draw_frame();
+}
+
 $template->assign_var_from_handle( 'ADMIN_CONTENT', 'llgbo_admin_content');
+//////////////////////////
+function Draw_frame()
+	{global $conf ,$template;
+	$bd = 0; 
+	$frame_begin ='';
+	$frame_end='';
+		
+	for ($i = 0   ;$i < 16  ; $i++)
+	{ $x = 1 + ( 2 * $i);
+
+	if ((isset($conf['LLGBO_FRAME'][$x+1])) and  ($conf['LLGBO_FRAME'][$x+1] > 0))
+	{  $frame_begin = '<div id="gbo'.$i.'"  style="border: '.$conf['LLGBO_FRAME'][$x+1].'px solid '.$conf['LLGBO_FRAME'][$x].'">'."\n".$frame_begin;
+	 $frame_end = $frame_end .' </div>';	  }
+
+	 }
+	$template->assign('FRAME_BEGIN', $frame_begin);
+	$template->assign('FRAME_END', $frame_end); 
+	}
 ?>
Index: extensions/LLGBO2/admin/llgbo_adminframe.tpl
===================================================================
--- extensions/LLGBO2/admin/llgbo_adminframe.tpl	(revision 4524)
+++ extensions/LLGBO2/admin/llgbo_adminframe.tpl	(revision 4524)
@@ -0,0 +1,116 @@
+<div class="infos" style="text-align:left;padding-left:45px;" >{$LLGBOINFO|@translate}</div>
+ <h2> {'Title'|@translate} <br>  {$LLGBO_VERSION}</h2>
+<form method="post" action="{$llgbo_F_ACTION}" class="properties">
+<fieldset>
+<legend>{'Step3_Title'|@translate}</legend>
+	<div id="framepicker" align="center" > </div>
+	<span id="gboh2" style ="position: relative; top:1.5em;margin-left:40%;background:transparent;z-index:3;color:{$LLGBO_TITLE_FRAME_COLOR}">{'llgbo_title_frame_color'|@translate} </span>
+	{$FRAME_BEGIN}
+	<table align="center" style ="position: relative; top:-2.5em;" >
+	<th id="llgbotitle">{'llgo_frame_setting'|@translate} 	</th>
+	<tr><br>
+		<td   class="llgbolabel" >{'llgbo_title_frame_color'|@translate} </td>
+		<td ><input type="text" name="llgbo_title_frame_color" style="background-color:{$LLGBO_TITLE_FRAME_COLOR}" class="colorwellf" value="{$LLGBO_TITLE_FRAME_COLOR}" /> </td>
+		<br>
+	</tr>	
+	<tr>    
+		<td class="llgbolabel" >{'llgbo_frame_bdcolor0'|@translate}</td> <td ><input type="text" name="llgbo_frame_bdcolor0"  style="background-color:{$LLGBO_FRAME_BDCOLOR0}" class="colorwellf" value="{$LLGBO_FRAME_BDCOLOR0}" /></td>
+		<td class="llgbolabel" >{'llgbo_frame_bdsize'|@translate}</td>	<td ><input type="text" name="llgbo_frame_bdsize0"  class="llgbofieldf" value="{$LLGBO_FRAME_BDSIZE0}" /></td>
+	</tr>
+	<tr> 
+		<td class="llgbolabel" >{'llgbo_frame_bdcolor1'|@translate}</td> <td ><input type="text" name="llgbo_frame_bdcolor1"  style="background-color:{$LLGBO_FRAME_BDCOLOR1}" class="colorwellf" value="{$LLGBO_FRAME_BDCOLOR1}" /></td>
+		<td class="llgbolabel" >{'llgbo_frame_bdsize'|@translate}</td>	<td ><input type="text" name="llgbo_frame_bdsize1"   class="llgbofieldf" value="{$LLGBO_FRAME_BDSIZE1}" /></td>
+	</tr>
+	<tr> 
+		<td class="llgbolabel" >{'llgbo_frame_bdcolor2'|@translate}</td> <td ><input type="text" name="llgbo_frame_bdcolor2"  style="background-color:{$LLGBO_FRAME_BDCOLOR2}"  class="colorwellf" value="{$LLGBO_FRAME_BDCOLOR2}" /></td>
+		<td class="llgbolabel" >{'llgbo_frame_bdsize'|@translate}</td>	<td ><input type="text" name="llgbo_frame_bdsize2"   class="llgbofieldf" value="{$LLGBO_FRAME_BDSIZE2}" /></td>
+	</tr>
+	<tr>   
+	   <td class="llgbolabel" >{'llgbo_frame_bdcolor3'|@translate}</td>	<td ><input type="text" name="llgbo_frame_bdcolor3" style="background-color:{$LLGBO_FRAME_BDCOLOR3}" class="colorwellf" value="{$LLGBO_FRAME_BDCOLOR3}" /></td>
+		<td class="llgbolabel" >{'llgbo_frame_bdsize'|@translate}</td>	<td ><input type="text" name="llgbo_frame_bdsize3" class="llgbofieldf" value="{$LLGBO_FRAME_BDSIZE3}" /></td>
+	</tr>
+	<tr> 
+		<td class="llgbolabel" >{'llgbo_frame_bdcolor4'|@translate}</td>	<td ><input type="text" name="llgbo_frame_bdcolor4" style="background-color:{$LLGBO_FRAME_BDCOLOR4}" class="colorwellf" value="{$LLGBO_FRAME_BDCOLOR4}" /></td>
+		<td class="llgbolabel" >{'llgbo_frame_bdsize'|@translate}</td>	<td ><input type="text" name="llgbo_frame_bdsize4"  class="llgbofieldf" value="{$LLGBO_FRAME_BDSIZE4}" /></td>
+	</tr>
+	<tr> 
+		<td class="llgbolabel" >{'llgbo_frame_bdcolor5'|@translate}</td> <td ><input type="text" name="llgbo_frame_bdcolor5" style="background-color:{$LLGBO_FRAME_BDCOLOR5}" class="colorwellf" value="{$LLGBO_FRAME_BDCOLOR5}" /></td>
+		<td class="llgbolabel" >{'llgbo_frame_bdsize'|@translate}</td> <td ><input type="text" name="llgbo_frame_bdsize5"  class="llgbofieldf" value="{$LLGBO_FRAME_BDSIZE5}" /></td>
+	</tr>
+	<tr>   
+	   <td class="llgbolabel" >{'llgbo_frame_bdcolor6'|@translate}</td> <td ><input type="text" name="llgbo_frame_bdcolor6" style="background-color:{$LLGBO_FRAME_BDCOLOR6}" class="colorwellf" value="{$LLGBO_FRAME_BDCOLOR6}" /></td>
+		<td class="llgbolabel" >{'llgbo_frame_bdsize'|@translate}</td> <td ><input type="text" name="llgbo_frame_bdsize6"  class="llgbofieldf" value="{$LLGBO_FRAME_BDSIZE6}" /></td>
+	</tr>
+	<tr> 
+		<td class="llgbolabel" >{'llgbo_frame_bdcolor7'|@translate}</td> <td ><input type="text" name="llgbo_frame_bdcolor7" style="background-color:{$LLGBO_FRAME_BDCOLOR7}" class="colorwellf" value="{$LLGBO_FRAME_BDCOLOR7}" /></td>
+		<td class="llgbolabel" >{'llgbo_frame_bdsize'|@translate}</td> 	<td ><input type="text" name="llgbo_frame_bdsize7" class="llgbofieldf" value="{$LLGBO_FRAME_BDSIZE7}" /></td>
+	</tr>
+	<tr> 
+		<td class="llgbolabel" >{'llgbo_frame_bdcolor8'|@translate}</td> <td ><input type="text" name="llgbo_frame_bdcolor8" style="background-color:{$LLGBO_FRAME_BDCOLOR8}" class="colorwellf" value="{$LLGBO_FRAME_BDCOLOR8}" /></td>
+		<td class="llgbolabel" >{'llgbo_frame_bdsize'|@translate}</td> <td ><input type="text" name="llgbo_frame_bdsize8"  class="llgbofieldf" value="{$LLGBO_FRAME_BDSIZE8}" /></td>
+	</tr>
+	<tr>   
+	   <td class="llgbolabel" >{'llgbo_frame_bdcolor9'|@translate}</td> <td ><input type="text" name="llgbo_frame_bdcolor9" style="background-color:{$LLGBO_FRAME_BDCOLOR9}" class="colorwellf" value="{$LLGBO_FRAME_BDCOLOR9}" /></td>
+		<td class="llgbolabel" >{'llgbo_frame_bdsize'|@translate}</td> <td ><input type="text" name="llgbo_frame_bdsize9"  class="llgbofieldf" value="{$LLGBO_FRAME_BDSIZE9}" /></td>
+	</tr>
+	<tr> 
+		<td class="llgbolabel" >{'llgbo_frame_bdcolor10'|@translate}</td> <td ><input type="text" name="llgbo_frame_bdcolor10"  style="background-color:{$LLGBO_FRAME_BDCOLOR10}" class="colorwellf" value="{$LLGBO_FRAME_BDCOLOR10}" /></td>
+		<td class="llgbolabel" >{'llgbo_frame_bdsize'|@translate}</td> 	<td ><input type="text" name="llgbo_frame_bdsize10"  class="llgbofieldf" value="{$LLGBO_FRAME_BDSIZE10}" /></td>
+	</tr>
+	<tr> 
+		<td class="llgbolabel" >{'llgbo_frame_bdcolor11'|@translate}</td> 	<td ><input type="text" name="llgbo_frame_bdcolor11" style="background-color:{$LLGBO_FRAME_BDCOLOR11}" class="colorwellf" value="{$LLGBO_FRAME_BDCOLOR11}" /></td>
+		<td class="llgbolabel" >{'llgbo_frame_bdsize'|@translate}</td> 	<td ><input type="text" name="llgbo_frame_bdsize11"  class="llgbofieldf" value="{$LLGBO_FRAME_BDSIZE11}" /></td>
+	</tr>
+		<td class="llgbolabel" >{'llgbo_frame_bdcolor12'|@translate}</td> <td ><input type="text" name="llgbo_frame_bdcolor12" style="background-color:{$LLGBO_FRAME_BDCOLOR12}" class="colorwellf" value="{$LLGBO_FRAME_BDCOLOR12}" /></td>
+		<td class="llgbolabel" >{'llgbo_frame_bdsize'|@translate}</td> 	<td ><input type="text" name="llgbo_frame_bdsize12" class="llgbofieldf" value="{$LLGBO_FRAME_BDSIZE12}" /></td>
+	</tr>
+	<tr>   
+	   <td class="llgbolabel" >{'llgbo_frame_bdcolor13'|@translate}</td> <td ><input type="text" name="llgbo_frame_bdcolor13" style="background-color:{$LLGBO_FRAME_BDCOLOR13}" class="colorwellf" value="{$LLGBO_FRAME_BDCOLOR13}" /></td>
+		<td class="llgbolabel" >{'llgbo_frame_bdsize'|@translate}</td> 	<td ><input type="text" name="llgbo_frame_bdsize13"  class="llgbofieldf" value="{$LLGBO_FRAME_BDSIZE13}" /></td>
+	</tr>
+	<tr> 
+		<td class="llgbolabel" >{'llgbo_frame_bdcolor14'|@translate}</td> <td ><input type="text" name="llgbo_frame_bdcolor14"  style="background-color:{$LLGBO_FRAME_BDCOLOR14}" class="colorwellf" value="{$LLGBO_FRAME_BDCOLOR14}" /></td>
+		<td class="llgbolabel" >{'llgbo_frame_bdsize'|@translate}</td> 	<td ><input type="text" name="llgbo_frame_bdsize14"  class="llgbofieldf" value="{$LLGBO_FRAME_BDSIZE14}" /></td>
+	</tr>
+	<tr> 
+		<td class="llgbolabel" >{'llgbo_frame_bdcolor15'|@translate}</td> <td ><input type="text" name="llgbo_frame_bdcolor15" style="background-color:{$LLGBO_FRAME_BDCOLOR15}" class="colorwellf" value="{$LLGBO_FRAME_BDCOLOR15}" /></td>
+		<td class="llgbolabel" >{'llgbo_frame_bdsize'|@translate}</td> 	<td ><input type="text" name="llgbo_frame_bdsize15"  class="llgbofieldf" value="{$LLGBO_FRAME_BDSIZE15}" /></td>
+	 </tr>
+	 </table>
+	{$FRAME_END}
+<div align="center"><br><br><input class="submit" type="submit" value="{'preview'|@translate}" name="preview"/> <input class="submit" type="submit" value="{'save'|@translate}" name="save" /></div>
+</fieldset>
+</form>
+<div style="{$LLGBODISPFRAME}">
+<P id="llgbotitle">{'llgbo_samples'|@translate} </p>
+<br>
+<img src="./plugins/look_like_gbo2/samples/blue_white.jpg">
+<br>
+<img src="./plugins/look_like_gbo2/samples/gold.jpg">
+<br>
+<img src="./plugins/look_like_gbo2/samples/metal.jpg">
+<br>
+<img src="./plugins/look_like_gbo2/samples/black.jpg">
+<br>
+</div>
+
+{* -- smarty syntaxe p55 {ldelim} remplace  {  et {rdelim} remplace  }    -- *}
+<script type="text/javascript" charset="utf-8">
+  $(document).ready(function() {ldelim}
+    var f = $.farbtastic('#framepicker');
+    var p = $('#framepicker').css('opacity', 0.45);
+    var selected;
+    $('.colorwellf')
+      .each(function () {ldelim}   f.linkTo(this);   $(this).css('opacity', 0.85);  {rdelim})
+      .focus(function() {ldelim}
+        if (selected) {ldelim}
+         $(selected).css('opacity', 0.85).removeClass('colorwell-selected');
+		{rdelim}
+        f.linkTo(this);	
+        p.css('opacity', 1);
+		$(selected = this).css('opacity', 1).addClass('colorwell-selected'); 
+	
+	   {rdelim});
+	
+  {rdelim});
+</script>
Index: extensions/LLGBO2/admin/llgbo_adminsettings.tpl
===================================================================
--- extensions/LLGBO2/admin/llgbo_adminsettings.tpl	(revision 4524)
+++ extensions/LLGBO2/admin/llgbo_adminsettings.tpl	(revision 4524)
@@ -0,0 +1,57 @@
+<div class="infos" style="text-align:left;padding-left:45px;" >{$LLGBOINFO|@translate}</div>
+ <h2> {'Title'|@translate} <br>  {$LLGBO_VERSION}</h2>
+{'Howto'|@translate}
+<form method="post" action="{$llgbo_F_ACTION}" class="properties">
+<fieldset>
+<legend>{'Step1_Title'|@translate}</legend>
+<table id="llgbotable" style="{$LLGBODISPMANAGE}">
+	<tr>
+		<td id="llgbotitle">{'llgo_global_setting'|@translate} </td>
+   </tr>	
+   <tr>
+		<td class="llgbolabel">{'llgbo_frame'|@translate}</td>
+		<td class="llgboinput">{html_radios name='llgbo_frame' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_FRAME}</td>  
+  </tr>
+  <tr>
+	<td class="llgbolabel">{'llgbo_tooltip'|@translate}</td> 
+	<td class="llgboinput">{html_radios name='llgbo_tooltip_disp' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_TOOLTIP_DISP}</td>
+  </tr>
+  <tr>
+		<td class="llgbolabel">{'llgbo_exifunderbt'|@translate}</td>
+		<td class="llgboinput">	{html_radios name='llgbo_exifunderbt' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_EXIFUNDERBT}</td>
+  </tr>
+  <tr>
+		<td class="llgbolabel">{'llgbo_usemap'|@translate}</td>	
+		<td class="llgboinput">{html_radios name='llgbo_usemap' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_USEMAP}</td>
+	</tr>
+	<tr>
+		<td class="llgbolabel">{'llgbo_usemap_thumb'|@translate}</td>
+		<td class="llgboinput">	 {html_radios name='llgbo_usemap_thumb' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_USEMAP_THUMB}</td>	
+	</tr>
+	<tr>
+		<td class="llgbolabel">{'llgbo_title_frame'|@translate}</td>
+		<td class="llgboinput">{html_radios name='llgbo_title_frame' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_TITLE_FRAME}</td>	
+	</tr>
+	<tr>
+	<tr>
+		<td class="llgbolabel">{'llgbo_default_navthumb'|@translate}</td>
+		<td class="llgboinput">{html_radios name='llgbo_default_navthumb' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_DEFAULT_NAVTHUMB}</td>
+	</tr>
+		<td class="llgbolabel">{'llgbo_header'|@translate}</td>
+		<td class="llgboinput">{html_radios name='llgbo_header' values='true,false'|@explode output='Yes,No'|@explode|translate selected=$LLGBO_HEADER}</td>	
+	</tr>	
+</table>
+<div align="center">
+<br>
+<span class="llgbotitle"> 	{'llgbo_maintain_header'|@translate}	</span><br>
+<textarea   rows=2 COLS=80  name="llgbo_maintain_header">{$LLGBO_MAINTAIN_HEADER}</TEXTAREA> 	
+<br> <br>
+<table id="llgbotable" 
+<tr class="llgbotitle"> <td class="llgbolabel">	{'llgbo_maintain_header_help'|@translate}	</td></tr> 
+<tr class="llgbotitle"> <td class="llgbolabel">	{'llgbo_maintain_header_help1'|@translate}	</td></tr> 
+<tr class="llgbotitle"> <td class="llgbolabel">	{'llgbo_maintain_header_help2'|@translate}	</td></tr>
+</table>
+</div>
+<div align="center"><br><br><input class="submit" type="submit" value="{'submit'|@translate}" name="submit" /></div>
+</fieldset>
+</form>
Index: extensions/LLGBO2/admin/llgbo_admintooltip.tpl
===================================================================
--- extensions/LLGBO2/admin/llgbo_admintooltip.tpl	(revision 4524)
+++ extensions/LLGBO2/admin/llgbo_admintooltip.tpl	(revision 4524)
@@ -0,0 +1,82 @@
+<div class="infos" style="text-align:left;padding-left:45px;" >{$LLGBOINFO|@translate}</div>
+ <h2> {'Title'|@translate} <br>  {$LLGBO_VERSION}</h2>
+{'Howto'|@translate}
+<form method="post" action="{$llgbo_F_ACTION}" class="properties">
+<fieldset>
+<legend>{'Step2_Title'|@translate}</legend>
+<div id="picker"style="{$LLGBODISPTOOLTIP}"></div>
+<!--           T O O L T I P  -->
+<div id="tooltip"   style= "border:{$LLGBO_TOOLTIP_SIZE}px solid {$LLGBO_TOOLTIP_BORDERCOLOR};{$LLGBODISPTOOLTIP};background:{$LLGBO_TOOLTIP_BACKGROUNDCOLOR};color:{$LLGBO_TOOLTIP_COLOR};min-width:500px;">	
+	
+	<table align="center"  >
+		<th    id="llgbotitle" style= "color:{$LLGBO_TOOLTIP_TITLECOLOR}">{'llgo_tooltip_setting'|@translate} </th>
+	<tr>
+		<td class="llgbolabel">{'llgo_tooltip_width'|@translate} </td>
+		<td><input type="text" name="llgbo_tooltip_width" class="llgbofield" value="{$LLGBO_TOOLTIP_WIDTH}" />  pixels. </td>
+	 </tr>
+	 <tr>
+		<td class="llgbolabel">{'llgo_tooltip_size'|@translate}</td>
+		<td ><input type="text" name="llgbo_tooltip_size" class="llgbofield" value="{$LLGBO_TOOLTIP_SIZE}" />  pixels. </td> 
+	</tr>
+	<tr> 
+		<td class="llgbolabel" >{'llgbo_tooltip_bordercolor'|@translate}</td>
+		<td ><input type="text" name="llgbo_tooltip_bordercolor"  class="colorwell" value="{$LLGBO_TOOLTIP_BORDERCOLOR}" /></td>
+	</tr>
+	<tr>
+		 <td class="llgbolabel">{'llgbo_tooltip_backgroundcolor'|@translate}</td>
+		 <td ><input type="text" name="llgbo_tooltip_backgroundcolor"  id="ttbg" class="colorwell" value="{$LLGBO_TOOLTIP_BACKGROUNDCOLOR}" /> </td>
+	</tr>   
+	<tr>
+		<td class="llgbolabel">{'llgbo_tooltip_titlecolor'|@translate}</td>
+		<td ><input type="text" name="llgbo_tooltip_titlecolor" class="colorwell" value="{$LLGBO_TOOLTIP_TITLECOLOR}" /> </td>
+	</tr>   
+	<tr>
+		<td class="llgbolabel">{'llgbo_tooltip_color'|@translate}</td>
+		<td><input type="text" name="llgbo_tooltip_color"   class="colorwell" value="{$LLGBO_TOOLTIP_COLOR}" /> </td>
+	</tr>  
+	</table>
+</div>
+
+<div align="center"><br><br><input class="submit" type="submit" value="{'preview'|@translate}" name="preview"/> <input class="submit" type="submit" value="{'save'|@translate}" name="save" /></div>
+</fieldset>
+</form>
+
+{* -- smarty syntaxe p55 {ldelim} remplace  {  et {rdelim} remplace  }    -- *}
+<script type="text/javascript" charset="utf-8">
+  $(document).ready(function() {ldelim}
+    var f = $.farbtastic('#picker');
+    var p = $('#picker').css('opacity', 0.45);
+    var selected;
+    $('.colorwell')
+      .each(function () {ldelim}   f.linkTo(this);   $(this).css('opacity', 0.85);  {rdelim})
+      .focus(function() {ldelim}
+        if (selected) {ldelim}
+         $(selected).css('opacity', 0.85).removeClass('colorwell-selected');
+		{rdelim}
+        f.linkTo(this);	
+        p.css('opacity', 1);
+		$(selected = this).css('opacity', 1).addClass('colorwell-selected'); 
+	
+	   {rdelim});
+	
+  {rdelim});
+</script>   
+<script type="text/javascript" charset="utf-8">
+  $(document).ready(function() {ldelim}
+    var f = $.farbtastic('#framepicker');
+    var p = $('#framepicker').css('opacity', 0.45);
+    var selected;
+    $('.colorwellf')
+      .each(function () {ldelim}   f.linkTo(this);   $(this).css('opacity', 0.85);  {rdelim})
+      .focus(function() {ldelim}
+        if (selected) {ldelim}
+         $(selected).css('opacity', 0.85).removeClass('colorwell-selected');
+		{rdelim}
+        f.linkTo(this);	
+        p.css('opacity', 1);
+		$(selected = this).css('opacity', 1).addClass('colorwell-selected'); 
+	
+	   {rdelim});
+	
+  {rdelim});
+</script>
